from credentials import *
import network
import time

address = "192.168.0.1"
netmask = "255.255.255.0"
gateway = "192.168.0.1"
dns = "192.168.0.1"

if_ap = network.WLAN(network.AP_IF)
if_sta = network.WLAN(network.STA_IF)

class WifiAP:
    def __init__(self):
        global if_ap, if_sta
        if_sta.active(False)
        if_ap.active(True)
        if_ap.ifconfig([address, netmask, gateway, dns])
        if_ap.config(essid=SSID, password=PASS)
        print("network config {}".format(if_ap.ifconfig()))

class WifiSTA:
    def __init__(self):
        global if_ap, if_sta
        if_ap.active(False)
        if_sta.active(True)
        if_sta.connect(SSID, PASS)
        while not if_sta.isconnected():
            pass
            time.sleep(0.1)
        print("network config {}".format(if_sta.ifconfig()))